Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
Operating System - Tru64 Unix
cancel
Showing results for 
Search instead for 
Did you mean: 

upgrade from 5.1 to 5.1B

guido holz_1
Occasional Advisor

upgrade from 5.1 to 5.1B

In another thread I asked for help to download the patch-kit-6 for 5.1... But i have so much problems to install the patch. Is it possible to download the newest version 5.1B for free? And to install on an AlphaServer DS20E?

thanks Guido
9 REPLIES
Ravi_8
Honored Contributor

Re: upgrade from 5.1 to 5.1B

Hi

OS is not available for download. If you have support, you can request for upgrades.

by the way what is the problem you are facing in installing the patch.can u brief
never give up
guido holz_1
Occasional Advisor

Re: upgrade from 5.1 to 5.1B

i got some error-messages... but in the docu I saw thats normal error-messages, because this only warnings for apps they are not installed to the system.

thanks Guido
Mohamed K Ahmed
Trusted Contributor

Re: upgrade from 5.1 to 5.1B

What exactly the error messages you are seeing while patching

The patch utility might not install some patches because there is no need to or there is no product installed to be patched.

Let us see what the errors that you have so we can direct you better

Mohamed
Mohamed K Ahmed
Trusted Contributor

Re: upgrade from 5.1 to 5.1B

I think you are good to go
I have upgraded a lot of servers and didn't have any problems.
Just look at the screen when it is checking the patches to be installed and make sure that the reason for not installing a patch is that it requires a product that is not actually installed so no need for that patch

Mohamed
Ralf Puchner
Honored Contributor

Re: upgrade from 5.1 to 5.1B

without an error message it is useless to hope for a solution.
Help() { FirstReadManual(urgently); Go_to_it;; }
guido holz_1
Occasional Advisor

Re: upgrade from 5.1 to 5.1B

okey okey ... Now i'am on my place to write back ;-)
Yesterday I've updated with the patch-Kit-6 and got some error-messages like this:

Problem installing:

----------------------------------------------------------


- Tru64_UNIX_V5.1 / Filesystem Patches:
Patch 00232.00 - Adds support for activating temporary data logging

requires the existence of the following un-installed/un-selected subset(s):

- Tru64_UNIX_V5.1 / Security Related Patches:
Patch 01163.00 - Security (SSRT1-40U, SSRT1-41U, SSRT1-42U, SSRT1-45U)

This patch will not be installed.


I think this means that the apllication to update is not installed.
But a got some problems to build the new kernel at the and of the Patch-update:


*** KERNEL OPTION SELECTION ***

Selection Kernel Option
--------------------------------------------------------------
1 System V Devices
2 NTP V3 Kernel Phase Lock Loop (NTP_TIME)
3 Kernel Breakpoint Debugger (KDEBUG)
4 Packetfilter driver (PACKETFILTER)
5 IP-in-IP Tunneling (IPTUNNEL)
6 IP Version 6 (IPV6)
7 Point-to-Point Protocol (PPP)
8 STREAMS pckt module (PCKT)
9 X/Open Transport Interface (XTISO, TIMOD, TIRDWR)
10 Digital Versatile Disk File System (DVDFS)
11 ISO 9660 Compact Disc File System (CDFS)
12 Audit Subsystem
13 Logical Storage Manager (LSM)
14 ATM UNI 3.0/3.1 ILMI (ATMILMI3X)
--- MORE TO FOLLOW ---
Enter your choices or press
to display the next screen.
Choices (for example, 1 2 4-6): 15 IP Switching over ATM (ATMIFMP)
16 LAN Emulation over ATM (LANE)
17 Classical IP over ATM (ATMIP)
18 ATM UNI 3.0/3.1 Signalling for SVCs (UNI3X)
19 Asynchronous Transfer Mode (ATM)
20 All of the above
21 None of the above
22 Help
23 Display all options again
--------------------------------------------------------------

Enter your choices.

Choices (for example, 1 2 4-6) [21]:
You selected the following kernel options:
System V Devices
NTP V3 Kernel Phase Lock Loop (NTP_TIME)
Kernel Breakpoint Debugger (KDEBUG)
Packetfilter driver (PACKETFILTER)
IP-in-IP Tunneling (IPTUNNEL)
IP Version 6 (IPV6)
Point-to-Point Protocol (PPP)
STREAMS pckt module (PCKT)
X/Open Transport Interface (XTISO, TIMOD, TIRDWR)
Digital Versatile Disk File System (DVDFS)
ISO 9660 Compact Disc File System (CDFS)
Audit Subsystem
Logical Storage Manager (LSM)
ATM UNI 3.0/3.1 ILMI (ATMILMI3X)
IP Switching over ATM (ATMIFMP)
LAN Emulation over ATM (LANE)
Classical IP over ATM (ATMIP)

--- MORE TO FOLLOW ---
ATM UNI 3.0/3.1 Signalling for SVCs (UNI3X)
Asynchronous Transfer Mode (ATM)

Is that correct? (y/n) [y]:
Do you want to edit the configuration file? (y/n) [n]:

*** PERFORMING KERNEL BUILD ***

A log file listing special device files is located in /dev/MAKEDEV.log
Working....Thu Feb 26 16:48:17 MET 2004

*** WARNING ***
An error has occurred during system configuration. A partial listing
of the error log file (/sys/GUIDO-CONF-KERNEL/errs) follows:

cc -c -O2 -DLANGUAGE_C -std0 -g3 -I -I. -I.. -I../include -DIDENT=GUIDO-CONF-KERNEL -DDEC6600 -DUERF -DOSF -DCOMPAT_43 -DMACH -DUFS -DFFM_FS -DATM -DATM -DATM -DATM -DATM -DRT_SEM -DKERNEL -D_KERNEL -D_BSD -D_USE
_KERNEL_PROTOS -compress -MD -no_excpt -nointrinsics -Wg,-unroll,1 -Wb,-static -Wco,-nofloat -msg_enable cvtdiftypes,warnimplfunc,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_inform cvtdiftypes,warnimplfun
c,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_enable uninit1,falloffend,intrinsicint,outtoomany,outtoofew,questcompare,storclsdcl,tentredef -msg_warn uninit1,falloffend,intrinsicint,outtoomany,outtoofew,q
uestcompare,storclsdcl,tentredef -msg_enable othermember -msg_error othermember -Umips -UMIPS -U__intel__ -D__alpha -D__digital__ -D__arch64__ ../arch/alpha/hal/cpuconf.c
cc -c -O2 -DLANGUAGE_C -std0 -g3 -I -I. -I.. -I../include -DIDENT=GUIDO-CONF-KERNEL -DDEC6600 -DUERF -DOSF -DCOMPAT_43 -DMACH -DUFS -DFFM_FS -DATM -DATM -DATM -DATM -DATM -DRT_SEM -DKERNEL -D_KERNEL -D_BSD -D_USE
_KERNEL_PROTOS -compress -MD -no_excpt -nointrinsics -Wg,-unroll,1 -Wb,-static -Wco,-nofloat -msg_enable cvtdiftypes,warnimplfunc,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_inform cvtdiftypes,warnimplfun
c,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_enable uninit1,falloffend,intrinsicint,outtoomany,outtoofew,questcompare,storclsdcl,tentredef -msg_warn uninit1,falloffend,intrinsicint,outtoomany,outtoofew,q
uestcompare,storclsdcl,tentredef -msg_enable othermember -msg_error othermember -Umips -UMIPS -U__intel__ -D__alpha -D__digital__ -D__arch64__ -no_warnprotos ../data/autoconf_data.c
cc -c -O2 -DLANGUAGE_C -std0 -g3 -I -I. -I.. -I../include -DIDENT=GUIDO-CONF-KERNEL -DDEC6600 -DUERF -DOSF -DCOMPAT_43 -DMACH -DUFS -DFFM_FS -DATM -DATM -DATM -DATM -DATM -DRT_SEM -DKERNEL -D_KERNEL -D_BSD -D_USE
_KERNEL_PROTOS -compress -MD -no_excpt -nointrinsics -Wg,-unroll,1 -Wb,-static -Wco,-nofloat -msg_enable cvtdiftypes,warnimplfunc,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_inform cvtdiftypes,warnimplfun
c,ptrmismatch,macroredef,lvaluecast,uselesstyped -msg_enable uninit1,falloffend,intrinsicint,outtoomany,outtoofew,questcompare,storclsdcl,tentredef -msg_warn uninit1,falloffend,intrinsicint,outtoomany,outtoofew,q
uestcompare,storclsdcl,tentredef -msg_enable othermember -msg_error othermember -Umips -UMIPS -U__intel__ -D__alpha -D__digital__ -D__arch64__ -no_warnprotos ../data/cons_sw_data.c
rm -f GUIDO-CONF-KERNEL.mod
ld -dc -r -o GUIDO-CONF-KERNEL.mod init_main.o ipc_globals.o vm_init.o lockinfo.o pmap_init.o alpha_init.o startup.o bootio_subrs.o bootio_net.o io.o sys.o sys_advfs.o sys_cdfs.o steal_mem.o entry.o vmunix.swap u
fs_quota_stubs.o cm_data.o device_data.o gw_screen_data.o time_data.o netaf_config.o str_config.o vfs_conf.o tty_conf.o binlog_data.o conf.o ioconf.o param.o cam_config.o cam_debug.o sim_config.o cam_data.o cam_s
pecial_data.o pcxal_data.o pci_option_data.o isa_option_data.o ws_data.o cpuconf.o autoconf_data.o cons_sw_data.o
/usr/lib/cmplrs/cc/objZ GUIDO-CONF-KERNEL.mod
Generating version stamp
Generating EXTRAS.mod
Linking vmunix
ld:
hwc.mod compressed: hwc_ldt: multiply defined
hwc.mod compressed: hwc_cdt: multiply defined
Error: Undefined:
ADVbfAccessT_putpage_lk_info
vmpol_to_mapol
vmpolicy_cleanup
ubc_cache_add
ubc_cache_remove
*** Exit 1
Stop.
Press to continue:
Do you want to edit the configuration file? (y/n) [n]:
*** NOTE ***
A new kernel for this machine could not be successfully created.

A new kernel was NOT successfully built.

-------------------------------------------------------------------------------------
So What can I do to build a kernel?

Thanks Guido
guido holz_1
Occasional Advisor

Re: upgrade from 5.1 to 5.1B

Oh sorry my choice of the kernel-options was "ALL"... (number 20)

guido
Mohamed K Ahmed
Trusted Contributor

Re: upgrade from 5.1 to 5.1B

Guido,

You have some problems with the following files, I had this problem before, I really recommend that you talk to one of Compaq's software support engineers to go through this with you and fix these files.
When I had this problem before, The Compaq software engineer found some files that were corrupted and he sent them to me, also he sent me an executable called "allverfiy" that we ran more than once to check for corrupted or failed-to-compile files

HTH

Mohamed
Ravi_8
Honored Contributor

Re: upgrade from 5.1 to 5.1B

Hi

In the kernel options choose none of the above (21) and proceed.

Now try to boot from old kernel(if you have) and restart the patchkit installation
never give up